LDATTACH(8)

NOM
ldattach - Attacher une procédure de contrôle à une ligne série

SYNOPSIS
ldattach [-dhV78neo12] [-s vitesse] [-i indici] périphérique ldisc

DESCRIPTION
Le démon ldattach ouvre le fichier de périphérique indiqué (qui doit faire référence à un périphérique série) et lui attribue une procédure de contrôle ldisc pour gérer l'envoi et la réception de données. Ensuite, il passe en fond de tâches tout en gardant le périphérique ouvert afin que la procédure de contrôle reste chargée.

La procédure de contrôle ldisc peut être indiquée par nom ou par numéro.

Afin de détacher la procédure de contrôle, tuer (avec kill(1)) le processus ldattach.

Sans paramètre, ldattach affiche un message d'utilisation.

PROCÉDURES DE CONTRÔLE
Selon la version du noyau, les procédures suivantes sont gérées :

TTY(0)
    La procédure par défaut fournit un mode d'opération transparent (mode brut) ainsi que les capacités d'édition de ligne habituelles d'une console (mode « cooked »).

SLIP(1)
    Protocole IP sur ligne série (SLIP) afin de transmettre des paquets TCP/IP sur une ligne série

MOUSE(2)
    Pilote de périphérique de pointage connecté en RS232 (souris série)

PPP(3)
    Protocole point à point (PPP) afin de transmettre des paquets réseaux sur une ligne série.

STRIP(4)

AX25(5)

X25(6)
    Pilote de ligne pour transmettre des paquets X.25 sur une ligne série asynchrone.

6PACK(7)

R3964(9)
    Pilote pour le module Simatic R3964.

IRDA(11)
    Pilote de transmission de données par infrarouge pour Linux (IrDa), consultez <URL:http://irda.sourceforge.net/>

HDLC(13)
    Pilote HDLC synchrone

SYNC_PPP(14)
    Pilote PPP synchrone.

HCI(15)
    Pilote d'UART HCI Bluetooth.

GIGASET_M101(16)
    Pilote pour l'adaptateur série DECT Siemens Gigaset M101.

PPS(18)
    Pilote de ligne série de source PPS « Pulse Per Second ».

OPTIONS

-d | --debug
    Laisser ldattach s'exécuter au premier plan, cela permet de l'interrompre, de le déboguer et d'afficher des messages à propos de son état sur la sortie d'erreur standard.

-h | --help
    Afficher un message d'aide et quitter.

-V | --version
    Afficher la version du programme.

-s vitesse | --speed vitesse
    Définir la vitesse de la ligne série à la valeur indiquée.

-7 | --sevenbits
    Définir la taille des caractères de la ligne série à 7 bits.

-8 | --eightbits
    Définir la taille des caractères de la ligne série à 8 bits.

-n | --noparity
    Définir la parité de la ligne série à la valeur aucune.

-e | --evenparity
    Définir la parité de la ligne série à la valeur paire.

-o | --oddparity
    Définir la parité de la ligne série à valeur impaire.

-1 | --onestopbit
    Définir le nombre de bits d'arrêt de la ligne série à 1 bit.

-2 | --twostopbits
    Définir le nombre de bits d'arrêt de la ligne série à 2 bits.

-i indici | --iflag [-]indici[,[-]indici ...]
    Définir les bits indiqués dans le mot c_iflag de la ligne série. indici peut être un nombre ou un nom symbolique. Si indici est précédée d'un signe moins, effacer les bits indiqués à la place. Plusieurs indicis peuvent être données afin de définir et effacer plusieurs bits.

VOIR AUSSI
inputattach(1), ttys(4)

AUTEUR
Tilman Schmidt <tilman@imap.cc>

DISPONIBILITÉ
La commande ldattach fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.